import java.io.*;

public class bits_vd_stress {

	public static void main(String[] args) throws IOException {
		for (int l = 1; l < 300; l++) {
			for (int r = 1; r < 300; r++) {
				long val1 = new bits_vd_n().solve(l, r);
				long val2 = new bits_vd_n2().solve(l, r);
				long val3 = new bits_vd_n3().solve(l, r);
				long val4 = new bits_vd().solve(l, r);

				System.err.println(l + " " + r + " " + val1 + " " + val2 + " "
						+ val3 +" "+val4);
				if (val1 != val2 || val2 != val3 || val1 != val3
						|| val1 != val4) {
					throw new AssertionError();
				}
			}
		}
	}
}